Package com.google.android.exoplayer2.text

## Interface TextOutput

- All Known Subinterfaces:
    `Player.Listener`
  All Known Implementing Classes:
    `AnalyticsCollector`, `DebugTextViewHelper`, `ExoPlayerTestRunner`, `ImaAdsLoader`, `SubtitleView`

      public interface TextOutput

  Receives text output.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onCues​(List<Cue> cues)` | Called when there is a change in the `Cues`.

- - ### Method Detail

    - #### onCues

          void onCues​(List<Cue> cues)

      Called when there is a change in the `Cues`.

      `cues` is in ascending order of priority. If any of the cue boxes overlap when displayed, the `Cue` nearer the end of the list should be shown on top.

      Parameters:
        `cues` - The `Cues`. May be empty.